LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XDrawPageSupplier Interface Referencepublished

represents something that provides a DrawPage. More...

`import"XDrawPageSupplier.idl";`

Inheritance diagram for XDrawPageSupplier:

## Public Member Functions
com::sun::star::drawing::XDrawPage | getDrawPage ()
| returns the DrawPage. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents something that provides a DrawPage.

This interface is provided if the container only supports exactly one DrawPage. For containers which support multiple DrawPages interface XDrawPagesSupplier is supported.

Deprecated:

## Member Function Documentation

## ◆ getDrawPage()

com::sun::star::drawing::XDrawPage getDrawPage | ( |  | ) |

returns the DrawPage.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XDrawPageSupplier.idl